Name: H5Tset_size
Signature:
  herr_t `H5Tset_size`(hid_t `type_id`, size_t `size` )
Purpose:
  Sets the total size for an atomic datatype.
Description:
  `H5Tset_size` sets the total size in bytes, `size`, for a datatype. If the datatype is atomic and size is decreased so that the significant bits of the datatype extend beyond the edge of the new size, then the `offset' property is decreased toward zero. If the `offset' becomes zero and the significant bits of the datatype still hang over the edge of the new size, then the number of significant bits is decreased. The size set for a string should include space for the null-terminator character, otherwise it will not be stored on (or retrieved from) disk. Adjusting the size of a string automatically sets the precision to 8*`size`. A compound datatype may increase in size, but may not shrink. All datatypes must have a positive size.
Parameters:

hid_t `type_id` | Identifier of datatype to change size.
size_t `size` | Size in bytes to modify datatype.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5tset_size_f

      SUBROUTINE h5tset_size_f(type_id, size, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id  ! Datatype identifier
        INTEGER(SIZE_T), INTENT(IN) :: size    ! Datatype size
        INTEGER, INTENT(OUT) :: hdferr         ! Error code
                                               ! 0 on success and -1 on failure
      END SUBROUTINE h5tset_size_f